Package org.jmock.core.matcher

# Class InvokeAtLeastOnceMatcher

java.lang.Object
org.jmock.core.matcher.InvokedRecorder
org.jmock.core.matcher.InvokeAtLeastOnceMatcher

All Implemented Interfaces:
  `InvocationMatcher`, `SelfDescribing`, `Verifiable`

public class InvokeAtLeastOnceMatcher extends InvokedRecorder

## Constructor Summary

Constructors
Constructor
Description
`InvokeAtLeastOnceMatcher()`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`boolean`
`hasDescription()`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

### Methods inherited from class org.jmock.core.matcher.InvokedRecorder

`getInvocationCount, hasBeenInvoked, invoked, matches, verifyHasBeenInvoked, verifyHasBeenInvokedExactly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvokeAtLeastOnceMatcher

public InvokeAtLeastOnceMatcher()

## Method Details

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

Specified by:
  `verify` in interface `Verifiable`
Overrides:
  `verify` in class `InvokedRecorder`

### hasDescription

public boolean hasDescription()

Specified by:
  `hasDescription` in interface `InvocationMatcher`
Overrides:
  `hasDescription` in class `InvokedRecorder`

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Specified by:
  `describeTo` in interface `SelfDescribing`
Overrides:
  `describeTo` in class `InvokedRecorder`
Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.